Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.mail.smime.test
Class SMIMEEnvelopedTest

    java.lang.Object
      TestCase
          org.bouncycastle.mail.smime.test.SMIMEEnvelopedTest

    public class SMIMEEnvelopedTest

extends TestCase

Constructor Summary
`SMIMEEnvelopedTest(java.lang.String name)`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `setUp()`
`static Test` `suite()`
`void` `testAES128Encrypted()`
`void` `testAES192Encrypted()`
`void` `testAES256Encrypted()`
`void` `testCapEncrypt()`
`void` `testCASTEncrypted()`
`void` `testDESEDE3Encrypted()`
`void` `testHeaders()`
`void` `testIDEAEncrypted()`
`void` `testParserDESEDE3Encrypted()`
`void` `testRC2Encrypted()`
`void` `testSubKeyId()`
`void` `testTwoRecipients()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SMIMEEnvelopedTest

    public SMIMEEnvelopedTest(java.lang.String name)

Method Detail

### main

    public static void main(java.lang.String[] args)

### suite

    public static Test suite()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setUp

    public void setUp()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testHeaders

    public void testHeaders()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testDESEDE3Encrypted

    public void testDESEDE3Encrypted()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testParserDESEDE3Encrypted

    public void testParserDESEDE3Encrypted()
                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testIDEAEncrypted

    public void testIDEAEncrypted()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testRC2Encrypted

    public void testRC2Encrypted()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testCASTEncrypted

    public void testCASTEncrypted()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testAES128Encrypted

    public void testAES128Encrypted()
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testAES192Encrypted

    public void testAES192Encrypted()
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testAES256Encrypted

    public void testAES256Encrypted()
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSubKeyId

    public void testSubKeyId()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testCapEncrypt

    public void testCapEncrypt()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testTwoRecipients

    public void testTwoRecipients()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Bouncy Castle Cryptography Library 1.45